<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__sysanalog__functions" kind="group">
    <compoundname>group_sysanalog_functions</compoundname>
    <title>Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__sysanalog__functions_1gacef4e5ae550518abd0004e46e5ec4d64" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__sysanalog__enums_1ga31d179a49097fe5a8b2e8863adba59f4">cy_en_sysanalog_status_t</ref></type>
        <definition>cy_en_sysanalog_status_t Cy_SysAnalog_Init</definition>
        <argsstring>(const cy_stc_sysanalog_config_t *config)</argsstring>
        <name>Cy_SysAnalog_Init</name>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__sysanalog__config__t">cy_stc_sysanalog_config_t</ref> *</type>
          <declname>config</declname>
        </param>
        <briefdescription>
<para>Initialize the AREF block. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>config</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to structure containing configuration data. See <ref kindref="compound" refid="structcy__stc__sysanalog__config__t">cy_stc_sysanalog_config_t</ref></para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__sysanalog__enums_1gga31d179a49097fe5a8b2e8863adba59f4a3ce48673d93f32086ce3b8525c1d5581">CY_SYSANALOG_SUCCESS</ref> : initialization complete</para></listitem><listitem><para><ref kindref="member" refid="group__group__sysanalog__enums_1gga31d179a49097fe5a8b2e8863adba59f4a6cee019b293e163d881c959f4809b4a0">CY_SYSANALOG_BAD_PARAM</ref> : input pointers are null, initialization incomplete</para></listitem></itemizedlist>
</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para /></simplesect>
<programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />The<sp />AREF<sp />is<sp />a<sp />system<sp />wide<sp />resource;<sp />it<sp />is<sp />used<sp />by<sp />multiple<sp />blocks<sp />(SAR,<sp />CTDAC,<sp />CTB,<sp />and<sp />CSDv2).</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />If<sp />one<sp />of<sp />these<sp />blocks<sp />require<sp />one<sp />of<sp />the<sp />AREF<sp />reference<sp />outputs,<sp />the<sp />AREF<sp />must<sp />be<sp />enabled.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />The<sp />AREF<sp />block<sp />is<sp />not<sp />meant<sp />to<sp />be<sp />used<sp />stand-alone.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />The<sp />Cy_SysAnalog_Fast_Local<sp />configuration<sp />is<sp />provided<sp />by<sp />the<sp />driver</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />to<sp />cover<sp />a<sp />majority<sp />of<sp />use<sp />cases.<sp />It<sp />is<sp />the<sp />recommended<sp />configuration</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />for<sp />analog<sp />performance;<sp />it<sp />configures<sp />the<sp />block<sp />for</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />fast<sp />startup<sp />and<sp />sources<sp />all<sp />references<sp />with<sp />its<sp />local<sp />generators.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysanalog__enums_1ga31d179a49097fe5a8b2e8863adba59f4">cy_en_sysanalog_status_t</ref><sp />status;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />status<sp />=<sp /><ref kindref="member" refid="group__group__sysanalog__functions_1gacef4e5ae550518abd0004e46e5ec4d64">Cy_SysAnalog_Init</ref>(&amp;<ref kindref="member" refid="group__group__sysanalog__globals_1ga85e9e1cd8c1e6fe581043cbab3083017">Cy_SysAnalog_Fast_Local</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Turn<sp />on<sp />the<sp />hardware<sp />block.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysanalog__functions_1ga153249c7b4cea72ee334ae877a211169">Cy_SysAnalog_Enable</ref>();</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />After<sp />the<sp />AREF<sp />is<sp />enabled,<sp />enable<sp />the<sp />consumer<sp />blocks<sp />(SAR,<sp />CTDAC,<sp />CTB,<sp />and<sp />CSDv2).<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
</programlisting></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="107" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysanalog.c" bodystart="77" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysanalog.h" line="426" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysanalog__functions_1ga4deff86120f5e28e8789422797c42762" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SysAnalog_DeInit</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysAnalog_DeInit</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Reset AREF configuration back to power on reset defaults. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>None</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para /></simplesect>
<programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />The<sp />AREF<sp />is<sp />no<sp />longer<sp />needed.<sp />Reset<sp />the<sp />AREF<sp />to<sp />power<sp />on<sp />reset<sp />settings.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />(void)<sp /><ref kindref="member" refid="group__group__sysanalog__functions_1ga4deff86120f5e28e8789422797c42762">Cy_SysAnalog_DeInit</ref>();</highlight></codeline>
</programlisting></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="457" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysanalog.h" bodystart="454" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysanalog.h" line="427" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysanalog__functions_1ga6df958f34e2aaa789fa9c65558bf013c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SysAnalog_GetIntrCause</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysAnalog_GetIntrCause</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Return the PASS interrupt cause register value. </para>        </briefdescription>
        <detaileddescription>
<para>There are two interrupts in the PASS:<orderedlist>
<listitem><para>A global interrupt for all CTBs (up to 4)</para></listitem><listitem><para>A global interrupt for all CTDACs (up to 4)</para></listitem></orderedlist>
</para><para>Compare this returned value with the enum values in <ref kindref="member" refid="group__group__sysanalog__enums_1gaa031d15d64f0d87a749bc99b3e0dc083">cy_en_sysanalog_intr_cause_t</ref> to determine which block caused/triggered the interrupt.</para><para><simplesect kind="return"><para>uint32_t Interrupt cause register value.</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para /></simplesect>
<programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />The<sp />device<sp />has<sp />multiple<sp />CTBs<sp />or<sp />CTDACs<sp />and</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />that<sp />user<sp />wants<sp />to<sp />know<sp />which<sp />instance<sp />caused<sp />the<sp />global<sp />interrupt.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />This<sp />function<sp />is<sp />not<sp />useful<sp />or<sp />needed<sp />when<sp />the<sp />device<sp />has<sp />only</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />one<sp />CTB<sp />or<sp />CTDAC.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />intrCause;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />intrCause<sp />=<sp /><ref kindref="member" refid="group__group__sysanalog__functions_1ga6df958f34e2aaa789fa9c65558bf013c">Cy_SysAnalog_GetIntrCause</ref>();</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />((uint32_t)<sp /><ref kindref="member" refid="group__group__sysanalog__enums_1ggaa031d15d64f0d87a749bc99b3e0dc083a0d9797ca47fee44f12d726b969344b06">CY_SYSANALOG_INTR_CAUSE_CTB0</ref><sp />==<sp />(intrCause<sp />&amp;<sp />(uint32_t)<sp /><ref kindref="member" refid="group__group__sysanalog__enums_1ggaa031d15d64f0d87a749bc99b3e0dc083a0d9797ca47fee44f12d726b969344b06">CY_SYSANALOG_INTR_CAUSE_CTB0</ref>))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />CTB0<sp />caused<sp />the<sp />interrupt<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="483" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysanalog.h" bodystart="480" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysanalog.h" line="428" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysanalog__functions_1ga5d6d537beaf82fddf8e06f30b1d308b3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SysAnalog_SetDeepSleepMode</definition>
        <argsstring>(cy_en_sysanalog_deep_sleep_t deepSleep)</argsstring>
        <name>Cy_SysAnalog_SetDeepSleepMode</name>
        <param>
          <type><ref kindref="member" refid="group__group__sysanalog__enums_1ga0aadb061d882d9a964dff3729322cf12">cy_en_sysanalog_deep_sleep_t</ref></type>
          <declname>deepSleep</declname>
        </param>
        <briefdescription>
<para>Set what parts of the AREF are enabled in Deep Sleep mode. </para>        </briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>Disable AREF IP block</para></listitem><listitem><para>Enable IPTAT generator for fast wakeup from Deep Sleep mode. IPTAT outputs for CTBs are disabled.</para></listitem><listitem><para>Enable IPTAT generator and IPTAT outputs for CTB</para></listitem><listitem><para>Enable all generators and outputs: IPTAT, IZTAT, and VREF</para></listitem></itemizedlist>
</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The SRSS references are not available to the AREF in Deep Sleep mode. When operating in Deep Sleep mode, the local or external references must be selected.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>deepSleep</parametername>
</parameternamelist>
<parameterdescription>
<para>Select a value from <ref kindref="member" refid="group__group__sysanalog__enums_1ga0aadb061d882d9a964dff3729322cf12">cy_en_sysanalog_deep_sleep_t</ref></para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>None</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para /></simplesect>
<programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />The<sp />CTB<sp />opamps<sp />are<sp />using<sp />the<sp />current<sp />references<sp />from<sp />the<sp />AREF<sp />block.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />The<sp />CTDAC<sp />is<sp />using<sp />the<sp />1.2<sp />V<sp />voltage<sp />reference<sp />from<sp />the<sp />AREF<sp />block.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />The<sp />user<sp />wants<sp />the<sp />CTB<sp />and<sp />CTDAC<sp />to<sp />be<sp />enabled<sp />in<sp />Deep<sp />Sleep<sp />mode.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />In<sp />order<sp />for<sp />the<sp />CTB<sp />and<sp />CTDAC<sp />to<sp />function<sp />in<sp />Deep<sp />Sleep<sp />mode,<sp />the<sp />references</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />from<sp />the<sp />AREF<sp />block<sp />must<sp />also<sp />be<sp />enabled<sp />for<sp />Deep<sp />Sleep<sp />operation.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysanalog__functions_1ga5d6d537beaf82fddf8e06f30b1d308b3">Cy_SysAnalog_SetDeepSleepMode</ref>(<ref kindref="member" refid="group__group__sysanalog__enums_1gga0aadb061d882d9a964dff3729322cf12aaf8feaa23b7bbbdaba3981fa7e9a64de">CY_SYSANALOG_DEEPSLEEP_IPTAT_IZTAT_VREF</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
</programlisting></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="516" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysanalog.h" bodystart="510" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysanalog.h" line="429" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysanalog__functions_1gac0e2bee9d45ed5812d8a45a99979686d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__sysanalog__enums_1ga0aadb061d882d9a964dff3729322cf12">cy_en_sysanalog_deep_sleep_t</ref></type>
        <definition>__STATIC_INLINE cy_en_sysanalog_deep_sleep_t Cy_SysAnalog_GetDeepSleepMode</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysAnalog_GetDeepSleepMode</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Return Deep Sleep mode configuration as set by <ref kindref="member" refid="group__group__sysanalog__functions_1ga5d6d537beaf82fddf8e06f30b1d308b3">Cy_SysAnalog_SetDeepSleepMode</ref>. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>A value from <ref kindref="member" refid="group__group__sysanalog__enums_1ga0aadb061d882d9a964dff3729322cf12">cy_en_sysanalog_deep_sleep_t</ref></para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para /></simplesect>
<programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />As<sp />a<sp />system<sp />wide<sp />resource,<sp />the<sp />AREF<sp />Deep<sp />Sleep<sp />mode<sp />configuration</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />affects<sp />all<sp />consumer<sp />blocks.<sp />The<sp />Deep<sp />Sleep<sp />mode<sp />settings<sp />should<sp />be<sp />queried</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />before<sp />it<sp />is<sp />modified<sp />as<sp />to<sp />not<sp />affect<sp />other<sp />blocks.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysanalog__enums_1ga0aadb061d882d9a964dff3729322cf12">cy_en_sysanalog_deep_sleep_t</ref><sp />mode;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />mode<sp />=<sp /><ref kindref="member" refid="group__group__sysanalog__functions_1gac0e2bee9d45ed5812d8a45a99979686d">Cy_SysAnalog_GetDeepSleepMode</ref>();</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Don't<sp />enable<sp />the<sp />voltage<sp />reference,<sp />VREF,<sp />in<sp />Deep<sp />Sleep<sp />unless</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />it<sp />is<sp />needed<sp />by<sp />other<sp />blocks<sp />(e.g.<sp />the<sp />CTDAC)<sp />as<sp />it<sp />will<sp />consume<sp />more<sp />power.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__sysanalog__enums_1gga0aadb061d882d9a964dff3729322cf12aaf8feaa23b7bbbdaba3981fa7e9a64de">CY_SYSANALOG_DEEPSLEEP_IPTAT_IZTAT_VREF</ref><sp />!=<sp />mode)</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysanalog__functions_1ga5d6d537beaf82fddf8e06f30b1d308b3">Cy_SysAnalog_SetDeepSleepMode</ref>(<ref kindref="member" refid="group__group__sysanalog__enums_1gga0aadb061d882d9a964dff3729322cf12ac3b1263aa8889f21a72a8ec9d21066b2">CY_SYSANALOG_DEEPSLEEP_IPTAT_2</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="535" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysanalog.h" bodystart="532" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysanalog.h" line="430" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysanalog__functions_1ga153249c7b4cea72ee334ae877a211169" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SysAnalog_Enable</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysAnalog_Enable</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Enable the AREF hardware block. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>None</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para /></simplesect>
<programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />The<sp />AREF<sp />block<sp />has<sp />been<sp />initialized<sp />and<sp />needs<sp />to<sp />be<sp />enabled.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysanalog__functions_1ga153249c7b4cea72ee334ae877a211169">Cy_SysAnalog_Enable</ref>();</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />After<sp />the<sp />AREF<sp />is<sp />enabled,<sp />enable<sp />the<sp />consumer<sp />blocks<sp />(SAR,<sp />CTDAC,<sp />CTB,<sp />and<sp />CSDv2).<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
</programlisting></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="553" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysanalog.h" bodystart="550" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysanalog.h" line="431" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysanalog__functions_1gaa50787f58138e1f55206988a5db124ae" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SysAnalog_Disable</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysAnalog_Disable</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Disable the AREF hardware block. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>None</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para /></simplesect>
<programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />The<sp />AREF<sp />block<sp />is<sp />no<sp />longer<sp />needed.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />That<sp />is,<sp />all<sp />the<sp />consumer<sp />blocks<sp />(SAR,<sp />CTDAC,<sp />CTB,<sp />and<sp />CSDv2)<sp />have<sp />been<sp />disabled.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />Disable<sp />the<sp />AREF<sp />block<sp />to<sp />save<sp />power.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysanalog__functions_1gaa50787f58138e1f55206988a5db124ae">Cy_SysAnalog_Disable</ref>();</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="571" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysanalog.h" bodystart="568" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysanalog.h" line="432" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysanalog__functions_1ga780a105377971d2ddc4e8a0caab252b6" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SysAnalog_SetArefMode</definition>
        <argsstring>(cy_en_sysanalog_startup_t startup)</argsstring>
        <name>Cy_SysAnalog_SetArefMode</name>
        <param>
          <type><ref kindref="member" refid="group__group__sysanalog__enums_1ga242311d3120c1005ba7d5be64516597d">cy_en_sysanalog_startup_t</ref></type>
          <declname>startup</declname>
        </param>
        <briefdescription>
<para>Set the AREF startup mode from power on reset or from Deep Sleep wakeup. </para>        </briefdescription>
        <detaileddescription>
<para>The AREF can startup in a normal or fast mode.</para><para>If fast startup is desired from Deep Sleep wakeup, the IPTAT generators must be enabled during Deep Sleep. This is a minimum Deep Sleep mode setting of <ref kindref="member" refid="group__group__sysanalog__enums_1gga0aadb061d882d9a964dff3729322cf12a040af8630904ae7b6e969a18c2712a70">CY_SYSANALOG_DEEPSLEEP_IPTAT_1</ref> (see also <ref kindref="member" refid="group__group__sysanalog__functions_1ga5d6d537beaf82fddf8e06f30b1d308b3">Cy_SysAnalog_SetDeepSleepMode</ref>).</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>startup</parametername>
</parameternamelist>
<parameterdescription>
<para>Value from enum <ref kindref="member" refid="group__group__sysanalog__enums_1ga242311d3120c1005ba7d5be64516597d">cy_en_sysanalog_startup_t</ref></para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>None</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para /></simplesect>
<programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />The<sp />fast<sp />startup<sp />mode<sp />is<sp />desired.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysanalog__functions_1ga780a105377971d2ddc4e8a0caab252b6">Cy_SysAnalog_SetArefMode</ref>(<ref kindref="member" refid="group__group__sysanalog__enums_1gga242311d3120c1005ba7d5be64516597da85c067feb78f5673b6c2f3c982fd56a6">CY_SYSANALOG_STARTUP_FAST</ref>);</highlight></codeline>
</programlisting></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="599" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysanalog.h" bodystart="594" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysanalog.h" line="433" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysanalog__functions_1ga33f3a7cbdba876ae95c89c5a49bc0abb" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SysAnalog_VrefSelect</definition>
        <argsstring>(cy_en_sysanalog_vref_source_t vref)</argsstring>
        <name>Cy_SysAnalog_VrefSelect</name>
        <param>
          <type><ref kindref="member" refid="group__group__sysanalog__enums_1ga953d5952135c077f6de135e058222459">cy_en_sysanalog_vref_source_t</ref></type>
          <declname>vref</declname>
        </param>
        <briefdescription>
<para>Set the source for the Vref. </para>        </briefdescription>
        <detaileddescription>
<para>The Vref can come from:<itemizedlist>
<listitem><para>the locally generated 1.2 V reference</para></listitem><listitem><para>the SRSS, which provides a 0.8 V reference (not available to the AREF in Deep Sleep mode)</para></listitem><listitem><para>an external device pin</para></listitem></itemizedlist>
</para><para>The locally generated reference has higher accuracy, more stability over temperature, and lower noise than the SRSS reference.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>vref</parametername>
</parameternamelist>
<parameterdescription>
<para>Value from enum <ref kindref="member" refid="group__group__sysanalog__enums_1ga953d5952135c077f6de135e058222459">cy_en_sysanalog_vref_source_t</ref></para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>None</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para /></simplesect>
<programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Select<sp />the<sp />local<sp />1.2<sp />V<sp />generator<sp />as<sp />the<sp />Vref<sp />source<sp />for<sp />optimal<sp />analog<sp />performance.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysanalog__functions_1ga33f3a7cbdba876ae95c89c5a49bc0abb">Cy_SysAnalog_VrefSelect</ref>(<ref kindref="member" refid="group__group__sysanalog__enums_1gga953d5952135c077f6de135e058222459a2487a839aa1c8244f65a684b319daa6b">CY_SYSANALOG_VREF_SOURCE_LOCAL_1_2V</ref>);</highlight></codeline>
</programlisting></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="628" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysanalog.h" bodystart="623" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysanalog.h" line="434" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysanalog__functions_1ga7cb2b66d4b31d17a3e041dacd4fd9e6c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SysAnalog_IztatSelect</definition>
        <argsstring>(cy_en_sysanalog_iztat_source_t iztat)</argsstring>
        <name>Cy_SysAnalog_IztatSelect</name>
        <param>
          <type><ref kindref="member" refid="group__group__sysanalog__enums_1ga745102c8162e8d67ae113184c8ced99b">cy_en_sysanalog_iztat_source_t</ref></type>
          <declname>iztat</declname>
        </param>
        <briefdescription>
<para>Set the source for the 1 uA IZTAT. </para>        </briefdescription>
        <detaileddescription>
<para>The IZTAT can come from:<itemizedlist>
<listitem><para>the locally generated IZTAT</para></listitem><listitem><para>the SRSS (not available to the AREF in Deep Sleep mode)</para></listitem></itemizedlist>
</para><para>The locally generated reference has higher accuracy, more stability over temperature, and lower noise than the SRSS reference.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>iztat</parametername>
</parameternamelist>
<parameterdescription>
<para>Value from enum <ref kindref="member" refid="group__group__sysanalog__enums_1ga745102c8162e8d67ae113184c8ced99b">cy_en_sysanalog_iztat_source_t</ref></para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>None</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para /></simplesect>
<programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Select<sp />the<sp />local<sp />generator<sp />as<sp />the<sp />IZTAT<sp />source<sp />for<sp />optimal<sp />analog<sp />performance.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysanalog__functions_1ga7cb2b66d4b31d17a3e041dacd4fd9e6c">Cy_SysAnalog_IztatSelect</ref>(<ref kindref="member" refid="group__group__sysanalog__enums_1gga745102c8162e8d67ae113184c8ced99ba3b4fc99af78704905e78fcae12dd4a06">CY_SYSANALOG_IZTAT_SOURCE_LOCAL</ref>);</highlight></codeline>
</programlisting></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="656" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysanalog.h" bodystart="651" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysanalog.h" line="435" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysanalog__functions_1ga22710413640667a25b48c5814e470810" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SysAnalog_SetDeepSleepClock</definition>
        <argsstring>(cy_en_sysanalog_deep_sleep_clock_sel_t source, cy_en_sysanalog_deep_sleep_clock_div_t divider)</argsstring>
        <name>Cy_SysAnalog_SetDeepSleepClock</name>
        <param>
          <type><ref kindref="member" refid="group__group__sysanalog__enums_1ga159a193656bc75a45b4603982958f88c">cy_en_sysanalog_deep_sleep_clock_sel_t</ref></type>
          <declname>source</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__sysanalog__enums_1gafaf730c28e19936cce24c04d525e4c31">cy_en_sysanalog_deep_sleep_clock_div_t</ref></type>
          <declname>divider</declname>
        </param>
        <briefdescription>
<para>Configures the Deep Sleep Clock (DPSLP_CLK) source and the divider value. </para>        </briefdescription>
        <detaileddescription>
<para>Deep Sleep Clock can be used to run the SAR ADC, Timer and the charge pump of the CTB opamps.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>source</parametername>
</parameternamelist>
<parameterdescription>
<para>Deep Sleep Clock source. See <ref kindref="member" refid="group__group__sysanalog__enums_1ga159a193656bc75a45b4603982958f88c">cy_en_sysanalog_deep_sleep_clock_sel_t</ref></para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>divider</parametername>
</parameternamelist>
<parameterdescription>
<para>Deep Sleep Clock divider value. See <ref kindref="member" refid="group__group__sysanalog__enums_1gafaf730c28e19936cce24c04d525e4c31">cy_en_sysanalog_deep_sleep_clock_div_t</ref></para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>None</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Set<sp />Deep<sp />Sleep<sp />Clock<sp />as<sp />1/2<sp />of<sp />LPOSC<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysanalog__functions_1ga22710413640667a25b48c5814e470810">Cy_SysAnalog_SetDeepSleepClock</ref>(<ref kindref="member" refid="group__group__sysanalog__enums_1gga159a193656bc75a45b4603982958f88cabe37b4ec92d6472691ddbad525570dfb">CY_SYSANALOG_DSCLK_LPOSC</ref>,<sp /><ref kindref="member" refid="group__group__sysanalog__enums_1ggafaf730c28e19936cce24c04d525e4c31ad0de561f44119ddaa9ac0b56bbd7d168">CY_SYSANALOG_DSCLK_DIV_BY_2</ref>);</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="184" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysanalog.c" bodystart="176" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysanalog.h" line="436" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysanalog__functions_1gaa4f3c03d4ecb3f121c7d5b155e855bfa" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SysAnalog_LpOscEnable</definition>
        <argsstring>(cy_en_sysanalog_lposc_deep_sleep_mode_t dsmode)</argsstring>
        <name>Cy_SysAnalog_LpOscEnable</name>
        <param>
          <type><ref kindref="member" refid="group__group__sysanalog__enums_1ga8d5d1c61a078ccf107fce8277b39a11b">cy_en_sysanalog_lposc_deep_sleep_mode_t</ref></type>
          <declname>dsmode</declname>
        </param>
        <briefdescription>
<para>Enables Low Power Oscillator and configures its mode in Deep Sleep. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>dsmode</parametername>
</parameternamelist>
<parameterdescription>
<para>Low Power Oscillator mode in Deep Sleep. See <ref kindref="member" refid="group__group__sysanalog__enums_1ga8d5d1c61a078ccf107fce8277b39a11b">cy_en_sysanalog_lposc_deep_sleep_mode_t</ref></para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>None</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Enable<sp />Low<sp />Power<sp />Oscillator<sp />and<sp />configure<sp />it<sp />to<sp />be<sp />always<sp />enabled<sp />in<sp />Deep<sp />Sleep.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysanalog__functions_1gaa4f3c03d4ecb3f121c7d5b155e855bfa">Cy_SysAnalog_LpOscEnable</ref>(<ref kindref="member" refid="group__group__sysanalog__enums_1gga8d5d1c61a078ccf107fce8277b39a11ba413a38e9e067e8721817dd4bb5b68e56">CY_SYSANALOG_LPOSC_DEEPSLEEP_ALWAYS_ON</ref>);</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="132" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysanalog.c" bodystart="125" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysanalog.h" line="438" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysanalog__functions_1ga8f983cb279b6edfa6b4fb364b7bd6753" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SysAnalog_LpOscDisable</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysAnalog_LpOscDisable</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Disables the Low Power Oscillator. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>None</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />The<sp />Low<sp />Power<sp />Oscillator<sp />is<sp />no<sp />longer<sp />needed.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysanalog__functions_1ga8f983cb279b6edfa6b4fb364b7bd6753">Cy_SysAnalog_LpOscDisable</ref>();</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="153" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysanalog.c" bodystart="146" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysanalog.h" line="439" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>